summaryrefslogtreecommitdiffhomepage
path: root/subr/pkg_autoconf.subr
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz (arab, vxp) <l.illanes@gmx.de>2017-02-11 15:51:29 +0000
committerLucio Andrés Illanes Albornoz (arab, vxp) <l.illanes@gmx.de>2017-02-11 15:56:52 +0000
commitb19456e7bca91b4ffd9001da0be6357d5cdafa1a (patch)
treeb28a041956b9d2f398bfad720c29c17af895f4c8 /subr/pkg_autoconf.subr
parent65ffecee4b8cfe9d7c15b4496a4a9e0a08c3478a (diff)
downloadmidipix_build-b19456e7bca91b4ffd9001da0be6357d5cdafa1a.tar.bz2
midipix_build-b19456e7bca91b4ffd9001da0be6357d5cdafa1a.tar.xz
vars/build.vars, patches/*: adds geoip (HEAD) and OpenLiteSpeed v1.4.24 (preliminary commit.)
subr/pkg_autoconf.subr: try either of ${WORKDIR}/${PKG_SUBDIR}/{bootstrap,autogen.sh}. subr/pkg_configure.subr: pass ${CXXFLAGS} as well as ${CFLAGS} during ./configure. subr/pkg_setup_env.subr: fix ${PKG_SUBDIR} inference when ${PKG_FNAME} does not end w/ .tar*.
Diffstat (limited to 'subr/pkg_autoconf.subr')
-rw-r--r--subr/pkg_autoconf.subr36
1 files changed, 20 insertions, 16 deletions
diff --git a/subr/pkg_autoconf.subr b/subr/pkg_autoconf.subr
index 981dae74..e8bf0572 100644
--- a/subr/pkg_autoconf.subr
+++ b/subr/pkg_autoconf.subr
@@ -15,22 +15,26 @@ pkg_autoconf() {
-exec install -m 0700 "${MIDIPIX_BUILD_PWD}/etc/config.sub" {} \;;
if [ -e "${WORKDIR}/${PKG_SUBDIR}/configure.ac" ]\
&& [ ! -e "${WORKDIR}/${PKG_SUBDIR}/configure" ]; then
- if [ -e "${WORKDIR}/${PKG_SUBDIR}/autogen.sh" ]; then
- for __ in "${WORKDIR}/${PKG_SUBDIR}/build-aux" "${WORKDIR}/${PKG_SUBDIR}"; do
- if [ -e "${__}" ]; then
- echo install -m 0700 \
- "${MIDIPIX_BUILD_PWD}/etc/config.sub" \
- "${__}/config.sub";
- install -m 0700 \
- "${MIDIPIX_BUILD_PWD}/etc/config.sub" \
- "${__}/config.sub";
- break;
- fi;
- done;
- (build_fileop cd "${WORKDIR}/${PKG_SUBDIR}" && "${SHELL}" ./autogen.sh) || exit 1;
- else
- (build_fileop cd "${WORKDIR}/${PKG_SUBDIR}" && autoconf) || exit 1;
- fi;
+ for __ in bootstrap autogen.sh ""; do
+ if [ -z "${__}" ]; then
+ (build_fileop cd "${WORKDIR}/${PKG_SUBDIR}" && autoconf)\
+ || exit 1 && break;
+ elif [ -e "${WORKDIR}/${PKG_SUBDIR}/${__}" ]; then
+ for ___ in "${WORKDIR}/${PKG_SUBDIR}/build-aux" "${WORKDIR}/${PKG_SUBDIR}"; do
+ if [ -e "${___}" ]; then
+ echo install -m 0700 \
+ "${MIDIPIX_BUILD_PWD}/etc/config.sub" \
+ "${___}/config.sub";
+ install -m 0700 \
+ "${MIDIPIX_BUILD_PWD}/etc/config.sub" \
+ "${___}/config.sub";
+ break;
+ fi;
+ done;
+ (build_fileop cd "${WORKDIR}/${PKG_SUBDIR}" && "${SHELL}" "${__}")\
+ || exit 1 && break;
+ fi;
+ done;
fi;
for __ in ${PKG_BUILD_DIR} ${PKG_CONFIG_CACHE_EXTRA}; do
build_fileop cp "${MIDIPIX_BUILD_PWD}/etc/config.cache" "${WORKDIR}/${__}/";